@echo off
:top
cls
echo.                               Duke Nukem:
echo                              Atomic Heretic
echo.
echo                               by Paul Smith
echo                           a.k.a.  Wally Waffles
echo.
echo                          1 - Launch (A)tomic Heretic
echo                          2 - Go to (S)ETUP utility
echo.
echo                          3 - (I)nstall Atomic Heretic
echo                          4 - (U)ninstall Atomic Heretic
echo.
echo                          5 - (R)ead text file
echo                          6 - E(x)it
echo.
echo   v1.14 - Last Modified: March 30, 1998
echo.
echo Pick a number or a letter:
choice /n /c:123456asiurx /t:1,20
if errorlevel 12 goto end
if errorlevel 11 goto text
if errorlevel 10 goto uninstall
if errorlevel 9 goto install
if errorlevel 8 goto setup
if errorlevel 7 goto gameon
if errorlevel 6 goto end
if errorlevel 5 goto text
if errorlevel 4 goto uninstall
if errorlevel 3 goto install
if errorlevel 2 goto setup
if errorlevel 1 goto gameon

:notetoself
echo  Final Batch file will create ATOMHRTC.GRP instead of HERETIC.GRP
goto top

:gameon
CLS
if not exist HRTCGAME.CON goto nohrtc
echo Do you want:
echo.
echo    1 - Regular Single-Play
echo        or
echo    2 - Fake Multi-Mode with an AI opponent?
echo.
choice /n /c:12 /t:1,20
if errorlevel 2 goto gameonai
if errorlevel 1 goto gameonone

:gameonone
DUKE3D.EXE %1 %2 %3 %4 %5 %6 %7 %8 %9 /xHRTCGAME.CON /gHERETIC.GRP
goto top

:gameonai
echo How many opponents do you want? (1-7)
choice /n /c:1234567 /t:1,20
if errorlevel 7 goto q8
if errorlevel 6 goto q7
if errorlevel 5 goto q6
if errorlevel 4 goto q5
if errorlevel 3 goto q4
if errorlevel 2 goto q3
if errorlevel 1 goto q2

:q2
DUKE3D.EXE %1 %2 %3 %4 %5 %6 %7 %8 %9 /Q2 /A /L1 /M /xHRTCGAME.CON /gHERETIC.GRP
goto top

:q3
DUKE3D.EXE %1 %2 %3 %4 %5 %6 %7 %8 %9 /Q3 /A /L1 /M /xHRTCGAME.CON /gHERETIC.GRP
goto top

:q4
DUKE3D.EXE %1 %2 %3 %4 %5 %6 %7 %8 %9 /Q4 /A /L1 /M /xHRTCGAME.CON /gHERETIC.GRP
goto top

:q5
DUKE3D.EXE %1 %2 %3 %4 %5 %6 %7 %8 %9 /Q5 /A /L1 /M /xHRTCGAME.CON /gHERETIC.GRP
goto top

:q6
DUKE3D.EXE %1 %2 %3 %4 %5 %6 %7 %8 %9 /Q6 /A /L1 /M /xHRTCGAME.CON /gHERETIC.GRP
goto top

:q7
DUKE3D.EXE %1 %2 %3 %4 %5 %6 %7 %8 %9 /Q7 /A /L1 /M /xHRTCGAME.CON /gHERETIC.GRP
goto top

:q8
DUKE3D.EXE %1 %2 %3 %4 %5 %6 %7 %8 %9 /Q8 /A /L1 /M /xHRTCGAME.CON /gHERETIC.GRP
goto top

:install
cls
echo If at any time you wish to abort installation, press Ctrl-C
echo.
echo The following 3 conditions must be present:
echo.
echo   *Are we in your Duke Nukem 3D v1.5 directory?
echo   *Have you unzipped HERETIC.GRP into the current directory?
echo   *Is KEXTRACT.EXE in the current directory?
echo.
echo If these three conditions are not present, abort and make it so!
echo KEXTRACT.EXE is located on the Duke Nukem 3D CD-ROM in the \GOODIES\BUILD\
echo directory.  If you have v1.4, you can download the patch from my website.
pause
if not exist DUKE3D.EXE goto nogame
if not exist HERETIC.GRP goto nogrp
if not exist KEXTRACT.EXE goto nokx
CLS
echo Atomic Heretic will require about 300K of additional free space to install.
echo If you're low on memory free up some space!!
pause
CLS
echo I'm going to create a directory called YOURCRAP\ATOMHRTC\  Should any of
echo YOUR files need to be backed up, this is where they'll be moved to.
echo If you have any TILES0*.ART files (00-19) in your directory they might
echo interfere with Atomic Heretic, so they'll be backed up!
pause
echo Creating directory called YOURCRAP\ATOMHRTC\
MD YOURCRAP
CD YOURCRAP
MD ATOMHRTC
CD ..
if exist TILES000.ART move TILES000.ART YOURCRAP\ATOMHRTC
if exist TILES001.ART move TILES001.ART YOURCRAP\ATOMHRTC
if exist TILES002.ART move TILES002.ART YOURCRAP\ATOMHRTC
if exist TILES003.ART move TILES003.ART YOURCRAP\ATOMHRTC
if exist TILES004.ART move TILES004.ART YOURCRAP\ATOMHRTC
if exist TILES005.ART move TILES005.ART YOURCRAP\ATOMHRTC
if exist TILES006.ART move TILES006.ART YOURCRAP\ATOMHRTC
if exist TILES007.ART move TILES007.ART YOURCRAP\ATOMHRTC
if exist TILES008.ART move TILES008.ART YOURCRAP\ATOMHRTC
if exist TILES009.ART move TILES009.ART YOURCRAP\ATOMHRTC
if exist TILES010.ART move TILES010.ART YOURCRAP\ATOMHRTC
if exist TILES011.ART move TILES011.ART YOURCRAP\ATOMHRTC
if exist TILES012.ART move TILES012.ART YOURCRAP\ATOMHRTC
if exist TILES013.ART move TILES013.ART YOURCRAP\ATOMHRTC
if exist TILES014.ART move TILES014.ART YOURCRAP\ATOMHRTC
if exist TILES015.ART move TILES015.ART YOURCRAP\ATOMHRTC
if exist TILES016.ART move TILES016.ART YOURCRAP\ATOMHRTC
if exist TILES017.ART move TILES017.ART YOURCRAP\ATOMHRTC
if exist TILES018.ART move TILES018.ART YOURCRAP\ATOMHRTC
if exist TILES019.ART move TILES019.ART YOURCRAP\ATOMHRTC
if exist NAMES.H move NAMES.H YOURCRAP\ATOMHRTC
if exist DEMO1.DMO move DEMO1.DMO YOURCRAP\ATOMHRTC
if exist DEMO2.DMO move DEMO2.DMO YOURCRAP\ATOMHRTC
if exist DEMO3.DMO move DEMO3.DMO YOURCRAP\ATOMHRTC
if exist DEMO4.DMO move DEMO4.DMO YOURCRAP\ATOMHRTC
if exist DEMO5.DMO move DEMO5.DMO YOURCRAP\ATOMHRTC
if exist DEMO6.DMO move DEMO6.DMO YOURCRAP\ATOMHRTC
if exist DEMO7.DMO move DEMO7.DMO YOURCRAP\ATOMHRTC
if exist DEMO8.DMO move DEMO8.DMO YOURCRAP\ATOMHRTC
if exist DEMO9.DMO move DEMO*.DMO YOURCRAP\ATOMHRTC
echo Backup process complete.  Any files that were backed up will be found in
echo the YOURCRAP\ATOMHRTC directory.
pause
CLS
echo I will now extract a few files from HERETIC.GRP
pause
KEXTRACT.EXE HERETIC.GRP HRTCGAME.CON ATOMHRTC.TXT NODEMOS.TXT NAMES.H
RENAME NODEMOS.TXT DEMO1.DMO
echo Installtion complete!
pause
goto top

:uninstall
if not exist HRTCGAME.CON goto nocon
cls
echo Are you SURE you want to UNINSTALL Duke Nukem: Atomic Heretic?   [Y/N]
choice /n /c:yn /t:n,20
if errorlevel 2 goto no_un
if errorlevel 1 goto yes_un

:no_un
echo Uninstallation Aborted ^.^
pause
goto top

:yes_un
echo You chose to UNINSTALL!
pause
echo Duke Nukem: Atomic Heretic is now being uninstalled...
if exist HRTCGAME.CON DEL HRTCGAME.CON
if exist ATOMHRTC.TXT DEL ATOMHRTC.TXT
if exist YOURCRAP\ATOMHRTC\TILES000.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES001.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES002.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES003.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES004.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES005.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES006.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES007.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES008.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES009.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES010.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES011.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES012.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES013.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES014.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES015.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES016.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES017.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES018.ART goto unback
if exist YOURCRAP\ATOMHRTC\TILES019.ART goto unback
if exist YOURCRAP\ATOMHRTC\NAMES.H goto unback
if exist YOURCRAP\ATOMHRTC\DEMO1.DMO goto unback
goto unfin

:unback
echo The following files were backed up when you installed
echo Duke Nukem: Atomic Heretic
pause
dir YOURCRAP\ATOMHRTC /p
echo Do you wish for me to restore your backed up files?
echo.
echo    1 - Yes, please
echo    2 - No, leave them there and I'll take care of them
echo    3 - No, don't!  Just erase them!
choice /n /c:123
if errorlevel 3 goto back3
if errorlevel 2 goto back2
if errorlevel 1 goto back1

:back1
echo Restoring your original files...
CD YOURCRAP\ATOMHRTC
MOVE *.* ..\..
CD ..
RD ATOMHRTC
CD ..
goto unfin

:back2
echo Okay, but don't forget about those files you left in YOURCRAP\ATOMHRTC
echo If they're still there the next time you install Duke Nukem: Atomic
echo Heretic they'll be overwritten.
pause
goto unfin

:back3
echo Okay, I'm deleting them...
CD YOURCRAP\ATOMHRTC
if exist YOURCRAP\ATOMHRTC\TILES000.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES001.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES002.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES003.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES004.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES005.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES006.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES007.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES008.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES009.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES010.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES011.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES012.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES013.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES014.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES015.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES016.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES017.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES018.ART del *.ART
if exist YOURCRAP\ATOMHRTC\TILES019.ART del *.ART
if exist YOURCRAP\ATOMHRTC\NAMES.H del *.H
if exist YOURCRAP\ATOMHRTC\DEMO1.DMO del *.DMO
if exist YOURCRAP\ATOMHRTC\DEMO2.DMO del *.DMO
if exist YOURCRAP\ATOMHRTC\DEMO3.DMO del *.DMO
if exist YOURCRAP\ATOMHRTC\DEMO4.DMO del *.DMO
if exist YOURCRAP\ATOMHRTC\DEMO5.DMO del *.DMO
if exist YOURCRAP\ATOMHRTC\DEMO6.DMO del *.DMO
if exist YOURCRAP\ATOMHRTC\DEMO7.DMO del *.DMO
if exist YOURCRAP\ATOMHRTC\DEMO8.DMO del *.DMO
if exist YOURCRAP\ATOMHRTC\DEMO9.DMO del *.DMO
CD ..
RD ATOMHRTC
CD ..
goto unfin

:unfin
echo.
echo Uninstallation complete.
echo To REALLY finalize uninstallation though, you must delete
echo HERETIC.GRP and HERETIC.BAT yourself.
pause
goto top

:setup
if not exist HRTCGAME.CON goto nohrtc
SETUP.EXE %1 %2 %3 %4 %5 %6 %7 %8 %9 /xHRTCGAME.CON /gHERETIC.GRP
goto top

:text
if not exist ATOMHRTC.TXT goto ktxt
type ATOMHRTC.TXT | MORE
pause
goto top

:nogame
echo DUKE3D.EXE not found!
echo This leads me to believe that we are NOT in your Duke3D directory!
pause
goto top

:nohrtc
echo Sorry, but you must install Duke Nukem: Atomic Heretic
echo before you can play it
pause
goto top

:nopk
echo PKUNZIP.EXE not found!
echo This file is necessary to install Atomic Heretic!
pause
goto top

:nokg
echo KGROUP.EXE not found!
echo This file is necessary to install Atomic Heretic!
pause
goto top

:nokx
echo KEXTRACT.EXE not found!
echo This file is necessary to install Atomic Heretic!
pause
goto top

:nogrp
echo HERETIC.GRP not found!
echo Installation cannot proceed without this file!
pause
goto top

:nocon
echo You must install Atomic Heretic before you can uninstall it!
echo    (HRTCGAME.CON not found)
pause
goto top

:ktxt
if not exist KEXTRACT.EXE goto notxt
if not exist HERETIC.GRP goto notxt
KEXTRACT.EXE HERETIC.GRP ATOMHRTC.TXT
type ATOMHRTC.TXT | MORE
pause
del ATOMHRTC.TXT
goto top

:notxt
echo ATOMHRTC.TXT not found!
echo You can either "Kextract" it from HERETIC.GRP or unzip it from ATOMHRTC.ZIP
pause
goto top

:end
cls
echo                          Duke Nukem 3D:
echo                           Atomic Heretic
echo.
echo                     Volume 1: City of the Damned
echo                     Volume 2: Hell's Maw
echo                     Volume 3: The Dome of the Queen
echo                     Volume 4: Nature Trail To Hell
echo.
echo                 HERETIC.GRP was slopped together by
echo                 Paul Smith a.k.a. Wally Waffles, 1998
echo                 E-Mail address: wallywaffles@geocities.com
echo                 URL: www.geocities.com/TimesSquare/Fortress/1896
echo.
echo                 Please distribute ATOMHRTC.ZIP to your friends!
echo                 If this is included in a disk compilation,
echo                 please send me a free copy.  I'd REALLY
echo                 apreciate it!  Thanks!
echo v1.14
